| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
SEGY::HdrDef Class Reference
Seis

`#include <segyhdrdef.h>`

Inheritance diagram for SEGY::HdrDef:
[legend]

## Public Member Functions
| HdrDef (bool binhead)
| ~HdrDef ()
int | idxOfBytePos (HdrEntry::BytePos, unsigned char &offs) const
int | indexOf (const char *nm) const
int | indexOf (const HdrEntry *he) const override
bool | isBin () const
void | swapValues (unsigned char *) const
Public Member Functions inherited from ObjectSet< const HdrEntry >
| ObjectSet ()
| ObjectSet (const HdrEntry *)
| ObjectSet (const HdrEntry *, const HdrEntry *)
| ObjectSet (const HdrEntry *, const HdrEntry *, const HdrEntry *)
| ObjectSet (const ObjectSet &)
virtual | ~ObjectSet ()
ObjectSet & | add (const HdrEntry *t)
bool | addIfNew (const HdrEntry *)
void | allowNull (bool yn=true)
virtual void | append (const ObjectSet &)
iterator | begin ()
const_iterator | begin () const
const_iterator | cbegin () const
const_iterator | cend () const
ObjectSet * | clone () const override
virtual void | copy (const ObjectSet &)
bool | empty () const
iterator | end ()
const_iterator | end () const
void | erase () override
const HdrEntry * | first ()
const const HdrEntry * | first () const
virtual const HdrEntry * | get (const const HdrEntry *) const
| check & unconst
virtual const HdrEntry * | get (idx_type)
virtual const const HdrEntry * | get (idx_type) const
virtual size_type | getCapacity () const
idx_type | getIdx (const_iterator it) const
idx_type | getIdx (iterator it) const
virtual idx_type | indexOf (const const HdrEntry *) const
virtual void | insertAfter (const HdrEntry *newptr, idx_type)
virtual void | insertAt (const HdrEntry *newptr, idx_type)
virtual bool | isManaged () const
virtual bool | isPresent (const const HdrEntry *) const
const HdrEntry * | last ()
const const HdrEntry * | last () const
size_type | max_size () const
od_int64 | nrItems () const override
bool | nullAllowed () const
bool | operator!= (const ObjectSet &oth) const
ObjectSet & | operator+= (const HdrEntry *t)
virtual ObjectSet & | operator-= (const HdrEntry *)
ObjectSet & | operator= (const ObjectSet &)
bool | operator== (const ObjectSet &) const
const const HdrEntry * | operator[] (const const HdrEntry *t) const
const HdrEntry * | operator[] (idx_type i)
const const HdrEntry * | operator[] (idx_type i) const
void | plainErase ()
virtual const HdrEntry * | pop ()
void | push (const HdrEntry *t)
virtual void | removeRange (idx_type from, idx_type to)
virtual const HdrEntry * | removeSingle (idx_type, bool keep_order=true)
virtual const HdrEntry * | replace (idx_type, const HdrEntry *)
void | reverse () override
virtual bool | setCapacity (size_type, bool withmargin)
| Allocates mem only, no size() change.
void | setNullAllowed (bool yn=true)
virtual bool | setSize (size_type)
size_type | size () const
void | swap (idx_type, idx_type)
void | swap (ObjectSet &oth)
void | swapItems (od_int64 i1, od_int64 i2) override
void | useIndexes (const idx_type *)
bool | validIdx (od_int64) const override
Public Member Functions inherited from OD::Set
virtual | ~Set ()
bool | isEmpty () const
void | setEmpty ()

## Protected Member Functions
void | mkBin ()
void | mkTrc ()
Protected Member Functions inherited from ObjectSet< const HdrEntry >
virtual ObjectSet & | doAdd (const HdrEntry *)

## Protected Attributes
bool | isbin_
Protected Attributes inherited from ObjectSet< const HdrEntry >
bool | allow0_
impl_type | vec_

## Additional Inherited Members
Public Types inherited from ObjectSet< const HdrEntry >
typedef impl_type::const_iterator | const_iterator
typedef const value_type & | const_reference
typedef size_type | difference_type
typedef size_type | idx_type
typedef impl_type::iterator | iterator
typedef const HdrEntry | object_type
typedef value_type & | reference
typedef int | size_type
typedef const HdrEntry * | value_type
Static Public Member Functions inherited from OD::Set
static od_int32 | maxIdx32 ()
static od_int64 | maxIdx64 ()
Protected Types inherited from ObjectSet< const HdrEntry >
typedef VectorAccess< const HdrEntry *, size_type > | impl_type

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ ~HdrDef()

SEGY::HdrDef::~HdrDef | ( |  | ) |

## ◆ HdrDef()

SEGY::HdrDef::HdrDef | ( | bool | binhead | ) |

## Member Function Documentation

## ◆ idxOfBytePos()

int SEGY::HdrDef::idxOfBytePos | ( | HdrEntry::BytePos | ,
|  | unsigned char & | offs ) const

## ◆ indexOf() [1/2]

int SEGY::HdrDef::indexOf | ( | const char * | nm | ) | const

## ◆ indexOf() [2/2]

int SEGY::HdrDef::indexOf | ( | const HdrEntry * | he | ) | const
| inline override

## ◆ isBin()

bool SEGY::HdrDef::isBin | ( |  | ) | const
| inline

## ◆ mkBin()

void SEGY::HdrDef::mkBin | ( |  | ) |
| protected

## ◆ mkTrc()

void SEGY::HdrDef::mkTrc | ( |  | ) |
| protected

## ◆ swapValues()

void SEGY::HdrDef::swapValues | ( | unsigned char * |  | ) | const

## Member Data Documentation

## ◆ isbin_

bool SEGY::HdrDef::isbin_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025